Skip to content

Start Agent

POST
/api/agents/start
curl --request POST \
--url https://example.com/api/agents/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "agent_id": "example", "start_streamlit": true, "components": [ "example" ] }'

Start agent endpoint. Optionally start Streamlit app. Slack auto-enabled.

Media typeapplication/json
EndpointActionRequest
object
agent_id
required
Agent Id

Canonical web.agents.id UUID.

string
start_streamlit
Any of:
boolean
components
Any of:
Array<string>

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}